{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ID_OPE_OPERATION"; 
            externalType = NUMBER; 
            name = idOpeOperation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PJT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "GP_ORDRE"; }; 
            name = pjtId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRCO_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "RGP_CONV_ORDRE"; }; 
            name = prcoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (prcoId, idOpeOperation, pjtId); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.ProjetContrat"; 
    classProperties = (projet, contrat); 
    externalName = "GFC.PROJET_CONTRAT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_nameInObjectStore" = "ACCORDS.GROUPE_CONTRAT"; 
    }; 
    name = OpeProjetContrat; 
    primaryKeyAttributes = (prcoId); 
    relationships = (
        {
            destination = OpeOperation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idOpeOperation; sourceAttribute = idOpeOperation; }); 
            name = contrat; 
        }, 
        {
            destination = OpeProjet; 
            internalInfo = {"_nameInObjectStore" = groupe; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pjtId; sourceAttribute = pjtId; }); 
            name = projet; 
        }
    ); 
}
